# class Treetop::Compiler::LexicalAddressSpace

### Public Class Methods

new() click to toggle source

    # File lib/treetop/compiler/lexical_address_space.rb, line 4
    def initialize
      reset_addresses
    end

### Public Instance Methods

next_address() click to toggle source

    # File lib/treetop/compiler/lexical_address_space.rb, line 8
    def next_address
      @next_address += 1
    end

reset_addresses() click to toggle source

    # File lib/treetop/compiler/lexical_address_space.rb, line 12
    def reset_addresses
      @next_address = -1
    end